Bug 1292511 - [DOC] HA Guide needs a galera section
[DOC] HA Guide needs a galera section
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
All All
medium Severity medium
: ga
: 8.0 (Liberty)
Assigned To: Don Domingo
Radek Bíba
: Documentation
Depends On:
Blocks: 1315553 1329020
  Show dependency treegraph
 
Reported: 2015-12-17 11:09 EST by Dan Yocum
Modified: 2016-04-20 19:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-13 00:44:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Yocum 2015-12-17 11:09:21 EST
Description of problem:

There should be a short section on how to access and check galera to verify functionality (i.e., replication).
Comment 2 Dan Yocum 2015-12-17 12:26:15 EST
The following commands, gleened from this article should be sufficient to determine the health of the galera cluster - http://galeracluster.com/documentation-webpages/monitoringthecluster.html

     mysql -B -e "SHOW GLOBAL STATUS LIKE 'wsrep_cluster_state_uuid';"
     mysql -B -e "SHOW GLOBAL STATUS LIKE 'wsrep_cluster_conf_id';"
     mysql -B -e "SHOW GLOBAL STATUS LIKE 'wsrep_cluster_size';"
     mysql -B -e "SHOW GLOBAL STATUS LIKE 'wsrep_cluster_status';"
     mysql -B -e "SHOW GLOBAL STATUS LIKE 'wsrep_%';"
     mysql -B -e "SHOW GLOBAL STATUS LIKE 'wsrep_ready';
     mysql -B -e "SHOW GLOBAL STATUS LIKE 'wsrep_ready';"
     mysql -B -e "SHOW GLOBAL STATUS LIKE 'wsrep_connected';"
     mysql -B -e "SHOW GLOBAL STATUS LIKE 'wsrep_local_state_comment';"
     mysql -B -e "SHOW STATUS LIKE 'wsrep_local_recv_queue_avg';"
     mysql -B -e "SHOW STATUS LIKE 'wsrep_flow_control_paused';"
     mysql -B -e "SHOW STATUS LIKE 'wsrep_cert_deps_distance';"

These should run on all controller nodes and the values compared.
Comment 5 Mike McCune 2016-03-28 18:27:32 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 6 Andrew Dahms 2016-03-29 00:27:27 EDT
Assigning Radek as the QA contact.

Radek - could you take a look at the changes for this bug?
Comment 12 Andrew Dahms 2016-04-13 00:44:00 EDT
This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.